dofile("script/ribbons.lua")
dofile("script/timing.lua")

local function GetRank()
	if state.hits <= 0 then
		return "kitten" -- I don't know if this is possible
	elseif state.hits <= 100 then
		return "gold"
	elseif state.hits <= 500 then
		return "silver"
	else
		return "bronze"
	end
end

timing.Progress(5)
util.BigTextCenter("The End")
ribbons.CenterText("Thank you for playing!", -32)
local msg = ""
if state.cheater then
	msg = "Somewhere in the world a beautiful kitten has been born."
else
	local minutes = math.floor(state.time / 60)
	local seconds = math.floor(state.time % 60)
	local niceTime = "" .. minutes .. "m" .. seconds .. "s"
	msg = "You beat the game in " .. niceTime
	msg = msg .. " with " .. state.hits .. " hits."
	msg = msg .. " You earned " .. GetRank() .. "."
end
ribbons.CenterText(msg, -224)
util.PrintOrange({ x = 348, y = -232 }, "(ESC)", nil, nil, 0)
